@import "./variables";

.task-card-container {
  display: $flex-display;
  flex-direction: $flex-column;
  margin: 0 20px 6px 20px;
  max-width: 100%;

  .task-card {
    display: $flex-display;
    flex-direction: $flex-column;
    background-color: $white;
    padding: 12px;
    border-radius: 4px;
    outline: none;
    height: 130px;
    border: none;
    box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.2);
    cursor: pointer;

    div:nth-child(1) {
      display: $flex-display;
      flex-direction: row;
      align-items: center;
      width: 100%;
    }

    .task-status {
      align-self: flex-start;
    }

    .task-title {
      margin-left: 10px;
      font-size: 16px;
      font-weight: bold;
    }

    .task-due-date {
      margin-left: auto;
      font-weight: bold;
    }

    .description-container {
      margin-top: 20px;
      text-align: left;
      overflow: scroll;
      word-break: break-all;
    }
  }
}
